<!-- BEGIN VIZOU EVENTS LIST -->

<?php
// Exit if accessed directly
if (!defined('ABSPATH')) exit;

    $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(), 'thumbnail', false);
    $thumb_id = absint(get_post_thumbnail_id());
    $thumb_alt = '';
    if ($thumb_id) {
        $thumb_alt = sanitize_text_field(get_post_meta($thumb_id, '_wp_attachment_image_alt', true));			
        if (empty($thumb_alt)) {
            $attachment = get_post($thumb_id);
            if ($attachment) {
                $thumb_alt = sanitize_text_field($attachment->post_title);
            }
        }
    }
    
    // Build class attribute based on event status
    $classes = array('event');
    if (vizou_is_past_event()) {
        $classes[] = 'event-past';
    }
    if (vizou_is_cancelled_event()) {
        $classes[] = 'event-cancelled';
    }
    ?>